KJS::Identifier Class Reference

`#include <identifier.h>`

## Public Member Functions

| Identifier ()
| Identifier (const char *s)
| Identifier (const UChar *s, int length)
| Identifier (const UString &s)
const UString & | ustring () const
DOM::DOMString | string () const
QString | qstring () const
const UChar * | data () const
int | size () const
const char * | ascii () const
bool | isNull () const
bool | isEmpty () const
unsigned long | toULong (bool *ok) const
unsigned | toStrictUInt32 (bool *ok) const
unsigned | toArrayIndex (bool *ok) const
double | toDouble () const

## Static Public Member Functions

static Identifier | from (unsigned y)
static const Identifier & | null ()
static void | remove (UString::Rep *)

## Friends

class | PropertyMap
bool | operator== (const Identifier &, const Identifier &)
bool | operator!= (const Identifier &, const Identifier &)
bool | operator== (const Identifier &, const char *)

## Detailed Description

Represents an Identifier for a Javascript object.

Definition at line 32 of file identifier.h.

## Constructor & Destructor Documentation

KJS::Identifier::Identifier | ( |  | ) |

inline

Creates an empty identifier.

Definition at line 38 of file identifier.h.

KJS::Identifier::Identifier | ( | const char * | s | ) |

inline

Creates an identifier with the name of the string.

KJS::Identifier method("someJSMethod");

Definition at line 45 of file identifier.h.

## Member Function Documentation

const char* KJS::Identifier::ascii | ( |  | ) | const

inline

Char * of the identifier's string.

Definition at line 71 of file identifier.h.

const UChar* KJS::Identifier::data | ( |  | ) | const

inline

returns a UChar pointer to the string of the identifier with a size defined by size().

Definition at line 62 of file identifier.h.

bool KJS::Identifier::isEmpty | ( |  | ) | const

inline

Returns that the identifiers string is set, but is empty.

Definition at line 82 of file identifier.h.

bool KJS::Identifier::isNull | ( |  | ) | const

inline

Returns the identfiers state of being unset.

Definition at line 78 of file identifier.h.

const Identifier & KJS::Identifier::null | ( |  | ) |

static

Creates an empty Identifier.

Definition at line 302 of file identifier.cpp.

QString KJS::Identifier::qstring | ( |  | ) | const

returns a QString of the identifier

int KJS::Identifier::size | ( |  | ) | const

inline

The size of the UChar string returned.

Definition at line 66 of file identifier.h.

const UString& KJS::Identifier::ustring | ( |  | ) | const

inline

returns a UString of the identifier

Definition at line 52 of file identifier.h.

The documentation for this class was generated from the following files:

- identifier.h
- identifier.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys